Summary: Internationalized Domain Name support library
Name: libidn2
Version: 2.3.7
Release: r0
License: (GPL-2.0-or-later | LGPL-3.0-only) & Unicode-DFS-2016
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.gnu.org/software/libidn/
Source0: libidn2-2.3.7.tar.gz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gettext-native
BuildRequires: gtk-doc-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: libunistring
BuildRequires: pkgconfig-native
BuildRequires: python3-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/libc
BuildRequires: virtual/libiconv
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.

%package -n libidn2-src
Summary: Internationalized Domain Name support library - Source files
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: devel

%description -n libidn2-src
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains sources for debugging purposes.

%package -n libidn2-dbg
Summary: Internationalized Domain Name support library - Debugging files
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: devel
Recommends: glibc-dbg
Recommends: libunistring-dbg

%description -n libidn2-dbg
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains ELF symbols and related sources for debugging purposes.

%package -n libidn2-staticdev
Summary: Internationalized Domain Name support library - Development files (Static Libraries)
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: devel
Requires: libidn2-dev = 2.3.7-r0

%description -n libidn2-staticdev
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains static libraries for software development.

%package -n libidn2-dev
Summary: Internationalized Domain Name support library - Development files
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: devel
Requires: libidn2
Recommends: glibc-dev
Recommends: libidn2-0 = 2.3.7-r0
Recommends: libunistring-dev

%description -n libidn2-dev
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains symbolic links, header files, and related items necessary
for software development.

%package -n libidn2-doc
Summary: Internationalized Domain Name support library - Documentation files
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: doc

%description -n libidn2-doc
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains documentation.

%package -n libidn2-locale-cs
Summary: Internationalized Domain Name support library - cs translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-cs
Provides: cs-translation
Provides: libidn2-locale

%description -n libidn2-locale-cs
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the cs locale.

%package -n libidn2-locale-da
Summary: Internationalized Domain Name support library - da translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-da
Provides: da-translation
Provides: libidn2-locale

%description -n libidn2-locale-da
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the da locale.

%package -n libidn2-locale-de
Summary: Internationalized Domain Name support library - de translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-de
Provides: de-translation
Provides: libidn2-locale

%description -n libidn2-locale-de
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the de locale.

%package -n libidn2-locale-eo
Summary: Internationalized Domain Name support library - eo translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-eo
Provides: eo-translation
Provides: libidn2-locale

%description -n libidn2-locale-eo
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the eo locale.

%package -n libidn2-locale-es
Summary: Internationalized Domain Name support library - es translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-es
Provides: es-translation
Provides: libidn2-locale

%description -n libidn2-locale-es
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the es locale.

%package -n libidn2-locale-fi
Summary: Internationalized Domain Name support library - fi translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-fi
Provides: fi-translation
Provides: libidn2-locale

%description -n libidn2-locale-fi
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the fi locale.

%package -n libidn2-locale-fr
Summary: Internationalized Domain Name support library - fr translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-fr
Provides: fr-translation
Provides: libidn2-locale

%description -n libidn2-locale-fr
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the fr locale.

%package -n libidn2-locale-fur
Summary: Internationalized Domain Name support library - fur translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-fur
Provides: fur-translation
Provides: libidn2-locale

%description -n libidn2-locale-fur
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the fur locale.

%package -n libidn2-locale-hr
Summary: Internationalized Domain Name support library - hr translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-hr
Provides: hr-translation
Provides: libidn2-locale

%description -n libidn2-locale-hr
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the hr locale.

%package -n libidn2-locale-hu
Summary: Internationalized Domain Name support library - hu translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-hu
Provides: hu-translation
Provides: libidn2-locale

%description -n libidn2-locale-hu
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the hu locale.

%package -n libidn2-locale-id
Summary: Internationalized Domain Name support library - id translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-id
Provides: id-translation
Provides: libidn2-locale

%description -n libidn2-locale-id
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the id locale.

%package -n libidn2-locale-it
Summary: Internationalized Domain Name support library - it translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-it
Provides: it-translation
Provides: libidn2-locale

%description -n libidn2-locale-it
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the it locale.

%package -n libidn2-locale-ja
Summary: Internationalized Domain Name support library - ja translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-ja
Provides: ja-translation
Provides: libidn2-locale

%description -n libidn2-locale-ja
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the ja locale.

%package -n libidn2-locale-ka
Summary: Internationalized Domain Name support library - ka translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-ka
Provides: ka-translation
Provides: libidn2-locale

%description -n libidn2-locale-ka
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the ka locale.

%package -n libidn2-locale-ko
Summary: Internationalized Domain Name support library - ko translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-ko
Provides: ko-translation
Provides: libidn2-locale

%description -n libidn2-locale-ko
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the ko locale.

%package -n libidn2-locale-nl
Summary: Internationalized Domain Name support library - nl translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-nl
Provides: libidn2-locale
Provides: nl-translation

%description -n libidn2-locale-nl
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the nl locale.

%package -n libidn2-locale-pl
Summary: Internationalized Domain Name support library - pl translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-pl
Provides: libidn2-locale
Provides: pl-translation

%description -n libidn2-locale-pl
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the pl locale.

%package -n libidn2-locale-pt-br
Summary: Internationalized Domain Name support library - pt_BR translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-pt-br
Provides: libidn2-locale
Provides: pt-br-translation

%description -n libidn2-locale-pt-br
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the pt_BR locale.

%package -n libidn2-locale-ro
Summary: Internationalized Domain Name support library - ro translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-ro
Provides: libidn2-locale
Provides: ro-translation

%description -n libidn2-locale-ro
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the ro locale.

%package -n libidn2-locale-ru
Summary: Internationalized Domain Name support library - ru translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-ru
Provides: libidn2-locale
Provides: ru-translation

%description -n libidn2-locale-ru
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the ru locale.

%package -n libidn2-locale-sr
Summary: Internationalized Domain Name support library - sr translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-sr
Provides: libidn2-locale
Provides: sr-translation

%description -n libidn2-locale-sr
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the sr locale.

%package -n libidn2-locale-sv
Summary: Internationalized Domain Name support library - sv translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-sv
Provides: libidn2-locale
Provides: sv-translation

%description -n libidn2-locale-sv
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the sv locale.

%package -n libidn2-locale-uk
Summary: Internationalized Domain Name support library - uk translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-uk
Provides: libidn2-locale
Provides: uk-translation

%description -n libidn2-locale-uk
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the uk locale.

%package -n libidn2-locale-vi
Summary: Internationalized Domain Name support library - vi translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-vi
Provides: libidn2-locale
Provides: vi-translation

%description -n libidn2-locale-vi
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the vi locale.

%package -n libidn2-locale-zh-cn
Summary: Internationalized Domain Name support library - zh_CN translations
License: (GPL-2.0-or-later | LGPL-3.0-only) & GPL-3.0-or-later & Unicode-DFS-2016
Group: libs
Recommends: virtual-locale-zh-cn
Provides: libidn2-locale
Provides: zh-cn-translation

%description -n libidn2-locale-zh-cn
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.  This
package contains language translation files for the zh_CN locale.

%package -n libidn2-bin
Summary: Internationalized Domain Name support library
License: GPL-3.0-or-later
Group: libs
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libidn2-0 >= 2.3.7
Requires: libidn2.so.0()(64bit)
Requires: libidn2.so.0(IDN2_0.0.0)(64bit)
Requires: libunistring.so.5()(64bit)
Requires: libunistring5 >= 1.3
Requires: rtld(GNU_HASH)

%description -n libidn2-bin
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.

%package -n libidn2-0
Summary: Internationalized Domain Name support library
License: (GPL-2.0-or-later | LGPL-3.0-only) & Unicode-DFS-2016
Group: libs
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libunistring.so.5()(64bit)
Requires: libunistring5 >= 1.3
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): libunistring.so.5()(64bit)
Requires(post): libunistring5 >= 1.3
Requires(post): rtld(GNU_HASH)
Provides: libidn2 = 2.3.7
Provides: libidn2.so.0()(64bit)
Provides: libidn2.so.0(IDN2_0.0.0)(64bit)
Provides: libidn2.so.0(IDN2_2.1.0)(64bit)
Provides: libidn2.so.0(IDN2_2.3.5)(64bit)

%description -n libidn2-0
Implementation of the Stringprep, Punycode and IDNA specifications defined
by the IETF Internationalized Domain Names (IDN) working group.

%post -n libidn2-0
# libidn2-0 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libidn2-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libidn2"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7/unistring"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7/gl"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7/lib"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7/src"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7/unistring/unictype"
%attr(755,root,root) %dir "/usr/src/debug/libidn2/2.3.7/unistring/uninorm"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/localcharset.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/localcharset.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/striconveh.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/array-mergesort.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/striconveha.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/string.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/striconveh.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/iconveh.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/c-strncasecmp.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/stdlib.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/c-ctype.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/c-strcase.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/c-strcasecmp.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/c-strcaseeq.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/unictype/categ_none.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/uninorm/decomposition-table1.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/uninorm/decompose-internal.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/unistring/uninorm/decomposition-table2.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/getopt.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/malloca.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/progname.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/basename-lgpl.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/getopt_int.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/string.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/fcntl.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/cloexec.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/version-etc.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/malloca.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/getopt-core.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/idx.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/version-etc.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/getprogname.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/progname.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/stdlib.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/getopt-ext.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/fcntl.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/getopt1.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/gl/stat-time.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/bidi.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/data.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/punycode.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/data.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/tr46map.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/idn2.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/idna.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/version.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/context.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/idna.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/free.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/register.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/decode.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/tables.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/context.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/lookup.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/bidi.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/tr46map.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/error.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/tables.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/lib/tr46map_data.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/src/idn2_cmd.h"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/src/idn2_cmd.c"
%attr(644,root,root) "/usr/src/debug/libidn2/2.3.7/src/idn2.c"

%files -n libidn2-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/idn2"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libidn2.so.0.4.0"

%files -n libidn2-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/idn2.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libidn2.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libidn2.pc"

%files -n libidn2-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man"
%attr(644,root,root) "/usr/share/info/libidn2.info"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_unicode_8z8z.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_strerror_name.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_free.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_lookup_ul.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_ascii_4z.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_strerror.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_unicode_4z4z.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_ascii_lz.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_unicode_8z4z.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_lookup_u8.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_ascii_8z.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_ascii_4i.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_unicode_8zlz.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_check_version.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_unicode_44i.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_register_ul.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_ascii_4i2.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_to_unicode_lzlz.3"
%attr(644,root,root) "/usr/share/man/man3/idn2_register_u8.3"
%attr(644,root,root) "/usr/share/man/man1/idn2.1"

%files -n libidn2-locale-cs
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/cs"
%attr(755,root,root) %dir "/usr/share/locale/cs/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/cs/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-da
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/da"
%attr(755,root,root) %dir "/usr/share/locale/da/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/da/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-de
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/de"
%attr(755,root,root) %dir "/usr/share/locale/de/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/de/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-eo
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eo"
%attr(755,root,root) %dir "/usr/share/locale/eo/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eo/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-es
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/es"
%attr(755,root,root) %dir "/usr/share/locale/es/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/es/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-fi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fi"
%attr(755,root,root) %dir "/usr/share/locale/fi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fi/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-fr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fr"
%attr(755,root,root) %dir "/usr/share/locale/fr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fr/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-fur
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fur"
%attr(755,root,root) %dir "/usr/share/locale/fur/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fur/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-hr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hr"
%attr(755,root,root) %dir "/usr/share/locale/hr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hr/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-hu
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hu"
%attr(755,root,root) %dir "/usr/share/locale/hu/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hu/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-id
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/id"
%attr(755,root,root) %dir "/usr/share/locale/id/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/id/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-it
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/it"
%attr(755,root,root) %dir "/usr/share/locale/it/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/it/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-ja
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ja"
%attr(755,root,root) %dir "/usr/share/locale/ja/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ja/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-ka
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ka"
%attr(755,root,root) %dir "/usr/share/locale/ka/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ka/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-ko
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ko"
%attr(755,root,root) %dir "/usr/share/locale/ko/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ko/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-nl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/nl"
%attr(755,root,root) %dir "/usr/share/locale/nl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/nl/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-pl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pl"
%attr(755,root,root) %dir "/usr/share/locale/pl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pl/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-pt-br
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR"
%attr(755,root,root) %dir "/usr/share/locale/pt_BR/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt_BR/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-ro
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ro"
%attr(755,root,root) %dir "/usr/share/locale/ro/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ro/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-ru
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ru"
%attr(755,root,root) %dir "/usr/share/locale/ru/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ru/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-sr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sr"
%attr(755,root,root) %dir "/usr/share/locale/sr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sr/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-sv
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sv"
%attr(755,root,root) %dir "/usr/share/locale/sv/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sv/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-uk
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/uk"
%attr(755,root,root) %dir "/usr/share/locale/uk/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/uk/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-vi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/vi"
%attr(755,root,root) %dir "/usr/share/locale/vi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/vi/LC_MESSAGES/libidn2.mo"

%files -n libidn2-locale-zh-cn
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_CN/LC_MESSAGES/libidn2.mo"

%files -n libidn2-bin
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/idn2"

%files -n libidn2-0
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libidn2.so.0.4.0"
%attr(777,root,root) "/usr/lib/libidn2.so.0"

%%prep
echo "include logs and patches, Please check them in SOURCES"

